package com.yd.oss.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.oss.feign.request.ApiRelObjectMaterialListAddRequest;
import com.yd.oss.feign.request.ApiRelObjectMaterialPageRequest;
import com.yd.oss.feign.request.ApiRelObjectMaterialUploadSubmitRequest;
import com.yd.oss.feign.response.ApiRelObjectMaterialPageResponse;

public interface ApiRelObjectMaterialService {
    Result<IPage<ApiRelObjectMaterialPageResponse>> page(ApiRelObjectMaterialPageRequest request);

    Result del(String relObjectMaterialBizId);

    Result addRelObjectMaterialList(ApiRelObjectMaterialListAddRequest request);

    Result submit(ApiRelObjectMaterialUploadSubmitRequest request);
}
